Jump to content

edbro

Member
  • Posts

    31
  • Joined

  • Last visited

  • Days Won

    1

edbro last won the day on May 2 2020

edbro had the most liked content!

Recent Profile Visitors

899 profile views

edbro's Achievements

Member

Member (4/5)

7

Reputation

  1. [16:25:31.991] Logging Started... [16:25:39.631] alfred almanac[Script Filter] Queuing argument '(null)' [16:25:40.461] alfred almanac[Script Filter] Script with argv '(null)' finished [16:25:40.465] ERROR: alfred almanac[Script Filter] Code 1: Traceback (most recent call last): File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 1348, in do_open h.request(req.get_method(), req.selector, req.data, headers, File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1282, in request self._send_request(method, url, body, headers, encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1328, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1277, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1037, in _send_output self.send(msg) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 975, in send self.connect() File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1454, in connect self.sock = self._context.wrap_socket(self.sock, File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/ssl.py", line 512, in wrap_socket return self.sslsocket_class._create( File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/ssl.py", line 1070, in _create self.do_handshake() File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/ssl.py", line 1341, in do_handshake self._sslobj.do_handshake() ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:997) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/Users/eds/Library/CloudStorage/OneDrive-Personal/Alfred Preferences/Alfred.alfredpreferences/workflows/user.workflow.2F82C213-7F09-47F3-AC73-F785D9A2F293/almanac.py", line 129, in <module> myOutput,myLocalTime= get_weather(loc) File "/Users/eds/Library/CloudStorage/OneDrive-Personal/Alfred Preferences/Alfred.alfredpreferences/workflows/user.workflow.2F82C213-7F09-47F3-AC73-F785D9A2F293/almanac.py", line 42, in get_weather with urllib.request.urlopen(myURL) as response: File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 216, in urlopen return opener.open(url, data, timeout) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 525, in open response = meth(req, response) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 634, in http_response response = self.parent.error( File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 557, in error result = self._call_chain(*args) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 496, in _call_chain result = func(*args) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 749, in http_error_302 return self.parent.open(new, timeout=req.timeout) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 519, in open response = self._open(req, data) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 536, in _open result = self._call_chain(self.handle_open, protocol, protocol + File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 496, in _call_chain result = func(*args) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 1391, in https_open return self.do_open(http.client.HTTPSConnection, req, File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 1351, in do_open raise URLError(err) urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:997)> [16:25:31.991] Logging Started... [16:25:39.631] alfred almanac[Script Filter] Queuing argument '(null)' [16:25:40.461] alfred almanac[Script Filter] Script with argv '(null)' finished [16:25:40.465] ERROR: alfred almanac[Script Filter] Code 1: Traceback (most recent call last): File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 1348, in do_open h.request(req.get_method(), req.selector, req.data, headers, File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1282, in request self._send_request(method, url, body, headers, encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1328, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1277, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1037, in _send_output self.send(msg) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 975, in send self.connect() File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1454, in connect self.sock = self._context.wrap_socket(self.sock, File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/ssl.py", line 512, in wrap_socket return self.sslsocket_class._create( File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/ssl.py", line 1070, in _create self.do_handshake() File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/ssl.py", line 1341, in do_handshake self._sslobj.do_handshake() ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:997) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/Users/eds/Library/CloudStorage/OneDrive-Personal/Alfred Preferences/Alfred.alfredpreferences/workflows/user.workflow.2F82C213-7F09-47F3-AC73-F785D9A2F293/almanac.py", line 129, in <module> myOutput,myLocalTime= get_weather(loc) File "/Users/eds/Library/CloudStorage/OneDrive-Personal/Alfred Preferences/Alfred.alfredpreferences/workflows/user.workflow.2F82C213-7F09-47F3-AC73-F785D9A2F293/almanac.py", line 42, in get_weather with urllib.request.urlopen(myURL) as response: File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 216, in urlopen return opener.open(url, data, timeout) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 525, in open response = meth(req, response) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 634, in http_response response = self.parent.error( File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 557, in error result = self._call_chain(*args) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 496, in _call_chain result = func(*args) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 749, in http_error_302 return self.parent.open(new, timeout=req.timeout) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 519, in open response = self._open(req, data) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 536, in _open result = self._call_chain(self.handle_open, protocol, protocol + File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 496, in _call_chain result = func(*args) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 1391, in https_open return self.do_open(http.client.HTTPSConnection, req, File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/urllib/request.py", line 1351, in do_open raise URLError(err) urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:997)>
  2. I can't get this to work. I installed it, set my location and installed Python 3.10.3. When I try to execute the shortcut it says "one moment while I retrieve..." and then it goes blank and returns nothing. I also tried feeding a zip code after the !w but got the same negative result.
  3. ver 1.0.5 works great. Thank you very much.
  4. Yes, 100% for Unbelievable. If I type slowly, I get hits on "U", more hits on "UN" and it errors when I get to "UNB".
  5. I sometimes get the following error: ( btw, I renamed the keyword) [09:46:59.488] JustWatch - Alfred[Script Filter] Queuing argument 'unbel' [09:46:59.955] JustWatch - Alfred[Script Filter] Queuing argument 'unbeli' [09:47:00.774] JustWatch - Alfred[Script Filter] Script with argv '(null)' finished [09:47:00.778] ERROR: JustWatch - Alfred[Script Filter] Code 1: 09:47:00 workflow.py:1695 DEBUG loading cached data: /Users/eds/Library/Caches/com.runningwithcrayons.Alfred/Workflow Data/com.vwap.justwatch/__workflow_latest_version.cpickle . 09:47:00 workflow.py:2061 DEBUG ---------- JustWatch - Alfred (1.0.4) ---------- 09:47:00 workflow.py:1468 DEBUG reading settings from /Users/eds/Library/Application Support/Alfred/Workflow Data/com.vwap.justwatch/settings.json 09:47:00 workflow.py:2343 DEBUG update check not due 09:47:00 connectionpool.py:941 DEBUG Starting new HTTPS connection (1): apis.justwatch.com:443 09:47:00 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "GET /content/locales/state HTTP/1.1" 200 None 09:47:00 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "GET /content/providers/locale/en_US HTTP/1.1" 200 None 09:47:00 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "POST /content/titles/en_US/popular HTTP/1.1" 200 None 09:47:00 workflow.py:2080 ERROR 'original_release_year' Traceback (most recent call last): File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/workflow/workflow.py", line 2073, in run func(self) File "main.py", line 127, in main media_items = MediaItems(just_watch, sys.argv[len(sys.argv) - 1], providers).get_alfred_json_list() File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_items.py", line 14, in __init__ media_item = MediaItem(media_item, providers) File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_item.py", line 22, in __init__ self.parse(media_item_data) File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_item.py", line 29, in parse self.original_release_year = media_item['original_release_year'] KeyError: 'original_release_year' 09:47:00 workflow.py:2103 DEBUG ---------- finished in 0.651s ---------- [09:47:00.783] JustWatch - Alfred[Script Filter] {"items": [{"valid": false, "subtitle": "'original_release_year'", "icon": {"path": "/System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/AlertStopIcon.icns"}, "title": "Error in workflow 'JustWatch - Alfred'"}]} [09:47:01.079] JustWatch - Alfred[Script Filter] Queuing argument 'unbelieva' [09:47:01.676] JustWatch - Alfred[Script Filter] Queuing argument 'unbelievab' [09:47:02.468] JustWatch - Alfred[Script Filter] Script with argv '(null)' finished [09:47:02.484] ERROR: JustWatch - Alfred[Script Filter] Code 1: 09:47:01 workflow.py:1695 DEBUG loading cached data: /Users/eds/Library/Caches/com.runningwithcrayons.Alfred/Workflow Data/com.vwap.justwatch/__workflow_latest_version.cpickle . 09:47:01 workflow.py:2061 DEBUG ---------- JustWatch - Alfred (1.0.4) ---------- 09:47:01 workflow.py:1468 DEBUG reading settings from /Users/eds/Library/Application Support/Alfred/Workflow Data/com.vwap.justwatch/settings.json 09:47:01 workflow.py:2343 DEBUG update check not due 09:47:01 connectionpool.py:941 DEBUG Starting new HTTPS connection (1): apis.justwatch.com:443 09:47:02 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "GET /content/locales/state HTTP/1.1" 200 None 09:47:02 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "GET /content/providers/locale/en_US HTTP/1.1" 200 None 09:47:02 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "POST /content/titles/en_US/popular HTTP/1.1" 200 None 09:47:02 workflow.py:2080 ERROR 'original_release_year' Traceback (most recent call last): File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/workflow/workflow.py", line 2073, in run func(self) File "main.py", line 127, in main media_items = MediaItems(just_watch, sys.argv[len(sys.argv) - 1], providers).get_alfred_json_list() File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_items.py", line 14, in __init__ media_item = MediaItem(media_item, providers) File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_item.py", line 22, in __init__ self.parse(media_item_data) File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_item.py", line 29, in parse self.original_release_year = media_item['original_release_year'] KeyError: 'original_release_year' 09:47:02 workflow.py:2103 DEBUG ---------- finished in 0.628s ---------- [09:47:02.487] JustWatch - Alfred[Script Filter] {"items": [{"valid": false, "subtitle": "'original_release_year'", "icon": {"path": "/System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/AlertStopIcon.icns"}, "title": "Error in workflow 'JustWatch - Alfred'"}]} [09:47:02.547] JustWatch - Alfred[Script Filter] Queuing argument 'unbelievable' [09:47:03.337] JustWatch - Alfred[Script Filter] Script with argv '(null)' finished [09:47:03.360] ERROR: JustWatch - Alfred[Script Filter] Code 1: 09:47:02 workflow.py:1695 DEBUG loading cached data: /Users/eds/Library/Caches/com.runningwithcrayons.Alfred/Workflow Data/com.vwap.justwatch/__workflow_latest_version.cpickle . 09:47:02 workflow.py:2061 DEBUG ---------- JustWatch - Alfred (1.0.4) ---------- 09:47:02 workflow.py:1468 DEBUG reading settings from /Users/eds/Library/Application Support/Alfred/Workflow Data/com.vwap.justwatch/settings.json 09:47:02 workflow.py:2343 DEBUG update check not due 09:47:02 connectionpool.py:941 DEBUG Starting new HTTPS connection (1): apis.justwatch.com:443 09:47:02 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "GET /content/locales/state HTTP/1.1" 200 None 09:47:03 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "GET /content/providers/locale/en_US HTTP/1.1" 200 None 09:47:03 connectionpool.py:442 DEBUG https://apis.justwatch.com:443 "POST /content/titles/en_US/popular HTTP/1.1" 200 None 09:47:03 workflow.py:2080 ERROR 'original_release_year' Traceback (most recent call last): File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/workflow/workflow.py", line 2073, in run func(self) File "main.py", line 127, in main media_items = MediaItems(just_watch, sys.argv[len(sys.argv) - 1], providers).get_alfred_json_list() File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_items.py", line 14, in __init__ media_item = MediaItem(media_item, providers) File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_item.py", line 22, in __init__ self.parse(media_item_data) File "/Users/eds/Library/Application Support/Alfred/Alfred.alfredpreferences/workflows/user.workflow.52877B56-0137-4595-B8B0-0478E05268F4/media_item.py", line 29, in parse self.original_release_year = media_item['original_release_year'] KeyError: 'original_release_year' 09:47:03 workflow.py:2103 DEBUG ---------- finished in 0.628s ---------- [09:47:03.363] JustWatch - Alfred[Script Filter] {"items": [{"valid": false, "subtitle": "'original_release_year'", "icon": {"path": "/System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/AlertStopIcon.icns"}, "title": "Error in workflow 'JustWatch - Alfred'"}]}
  6. 1.0.2 works beautifully. Thank you for this.
  7. Same behavior. It resolves to a regular web search.
  8. When I try to search for a streaming option it will just resolve to a standard web search. It starts out like it's working in that after typing "justwatch" it shows the proper icon and hint "find streaming options".
  9. Thank you for this. It was confusing at first until I realized I also had to change the title text to say Texas instead of Illinois. items = [{ title: 'Cases in Texas:', valid: false }]
  10. Okay, I now see the warning about using iCloud for syncing preferences. I set my new location to my OneDrive folder and I can now save preferences. I think I'm all set now.
  11. I have Alfred set to have preferences sync to iCloud, so I thought they were always backed up. Alfred asked me if I wanted to migrate during the first run of ver 4. I said yes. Optimize iCloud storage is disabled There is no preferences folder in ~/Library/Application Support/Alfred/ I've given up on recovering my old preferences, I just want to be able to save new ones when I recreate them.
  12. I upgraded from ver 3 to 4 but not all my preferences migrated, even though I have iCloud syncing setup in Advance Pref. My workflows and snippets migrated but other prefs such as web searches, default activation key, etc, did not. I can't even save the option to save clipboard text. I have granted all permissions and I've rebooted. When I look at my preferences backup file I see the file modification date is 5/10, despite trying to make changes today. To make matters worse, when I manually make preference changes, they are not sticking. I've lost all my custom searches. I rely heavily on custom searches so I'd like to get them back ASAP.
  13. I'm still getting the same "no such table: ZSFNOTE" using the latest workflow version 0.3.2. I tried uninstalling the previous version and installing the latest but I still get the error.
×
×
  • Create New...